Author: Nick Wellnhofer <wellnhofer@aevum.de>
Bug-Debian: #566587
Forwarded: no

--- a/Info/MPEG/System.pm
+++ b/Info/MPEG/System.pm
@@ -378,7 +378,7 @@
 
     if ( $type == 1 ) {
 	my $highbit   = (   $self->get_byte( $offset     ) >> 3  ) & 0x01;
-	my $low4bytes = ( ( $self->get_byte( $offset     ) >> 1  ) & 0x30 ) << 30;
+	my $low4bytes = ( ( $self->get_byte( $offset     ) >> 1  ) & 0x03 ) << 30;
 	$low4bytes   |= (   $self->get_byte( $offset + 1 ) << 22 );
 	$low4bytes   |= ( ( $self->get_byte( $offset + 2 ) >> 1  ) << 15 );
 	$low4bytes   |= (   $self->get_byte( $offset + 3 ) << 7  );
